package com.grkj.iscs.util.log

import android.content.Context

interface ILog {
    /**
     * 日志工具初始化
     * @param logPath 日志输出路径
     */
    fun init(mContext: Context, logPath: String)

    /**
     * debug日志
     * @param msg
     */
    fun d(tag: String?, msg: String?)

    /**
     * info日志
     * @param msg
     */
    fun i(tag: String?, msg: String?)

    /**
     * warn日志
     * @param msg
     */
    fun w(tag: String?, msg: String?)

    /**
     * error日志
     * @param msg
     */
    fun e(tag: String?, msg: String?)

    /**
     * exception日志
     * @param throwable
     */
    fun e(tag: String?, throwable: Throwable)
}